package simulator.stats;

import java.util.List;
import java.util.Map;

import simulator.stats.implementation.MetricsStats;

public interface MetricsCalculator {
	
	public List<MetricsStats> calulateMetrics();
	
	public void addMetricsData(String resourceTypeName, DCwormsAccumulator resourceEnergyAccumulator);
	
	public Map<String, List<DCwormsAccumulator>> getMetricsData();
	
}
