package simulator.stats.implementation;

import java.util.List;

import schedframe.resources.ResourceHistoryItem;
import simulator.stats.implementation.out.StatsSerializer;

public class ResourceHistoryStats implements StatsInterface {

	private String[] headers = {"timestamp", "resourceName", "operation", "parameter" };

	protected List<ResourceHistoryItem> resHist;
	
	public ResourceHistoryStats(List<ResourceHistoryItem> resHist) {
		this.resHist = resHist;
	}

	public Object serialize(StatsSerializer serializer) {
		return serializer.visit(this);
	}

	public String[] getHeaders() {
		return headers;
	}

	public List<ResourceHistoryItem> getResourceHistory() {
		return resHist;
	}
}
